Bug 149776 - local variable used before set
Summary: local variable used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hping2   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miguel Armas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-26 14:50 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 16:28:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-26 14:50:02 UTC
Description of problem:

I just tried to compile package hping2-2.0.0-0.3.rc3 from 
Redhat Fedora Extras development tree.

The compiler said

getifname.c(63): remark #592: variable "sa" is used before its value
is set

The source code is

                        if (opt_debug)
                                printf("DEBUG: Output interface
address: %s\n",
                                        inet_ntoa(sa.sin_addr));

Suggest init local variable sa before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.